## org.apache.mahout.math.hadoop.similarity.cooccurrence
Class TopElementsQueue

    java.lang.Object
      org.apache.lucene.util.PriorityQueue<MutableElement>
          org.apache.mahout.math.hadoop.similarity.cooccurrence.TopElementsQueue

    public class TopElementsQueue

extends org.apache.lucene.util.PriorityQueue<MutableElement>

Constructor Summary
`TopElementsQueue(int maxSize)`

Method Summary
`protected MutableElement` `getSentinelObject()`
`List<MutableElement>` `getTopElements()`
`protected boolean` `lessThan(MutableElement e1, MutableElement e2)`

Methods inherited from class org.apache.lucene.util.PriorityQueue
`add, clear, getHeapArray, insertWithOverflow, pop, size, top, updateTop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TopElementsQueue

    public TopElementsQueue(int maxSize)

Method Detail

### getTopElements

    public List<MutableElement> getTopElements()

### getSentinelObject

    protected MutableElement getSentinelObject()

  Overrides:
    `getSentinelObject` in class `org.apache.lucene.util.PriorityQueue<MutableElement>`

### lessThan

    protected boolean lessThan(MutableElement e1,
                               MutableElement e2)

  Specified by:
    `lessThan` in class `org.apache.lucene.util.PriorityQueue<MutableElement>`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.